php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #71081 phpmyadmin cannot export
Submitted: 2015-12-10 15:40 UTC Modified: 2015-12-10 17:39 UTC
From: dani_bejan2000 at yahoo dot com Assigned:
Status: Not a bug Package: MySQL related
PHP Version: 7.0.0 OS: 14.04.1-Ubuntu
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: dani_bejan2000 at yahoo dot com
New email:
PHP Version: OS:

 

 [2015-12-10 15:40 UTC] dani_bejan2000 at yahoo dot com
Description:
------------
There seems to be a problem with the version of php7 I'm running. It's `PHP Version 7.0.0beta1` running on Apache/2.4.16 server under elementaryOS Freya. The problem is I cannot export anything from phpmyadmin 4.0.10deb1 using the default settings, I haven't tried using other settings but with the default ones I get this error: `Fatal error: Cannot 'break' 2 levels in /usr/share/phpmyadmin/export.php on line 864` 

At the following lines of code seems to be the problem: 
             if (! $export_plugin->exportStructure(
                $db, $table, $crlf, $err_url,
                'triggers', $export_type,
                $do_relation, $do_comments, $do_mime, $do_dates
            )) {
                break 2; //Here!!
And if I switch my mods back to  5.6.16-2+deb.sury.org~trusty+1 I can export anything without any problems.

I don't know if this is any kind of bug, it's my first time posting a bug in here and I did it because I couldn't find anything online related to this problem

Thank you!


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-12-10 16:48 UTC] requinix@php.net
-Status: Open +Status: Not a bug
 [2015-12-10 16:48 UTC] requinix@php.net
phpMyAdmin is currently on version 4.5.2. You should upgrade to that, or something close to that, and try again. If you're still having problems then create a bug report with their project.
 [2015-12-10 17:39 UTC] dani_bejan2000 at yahoo dot com
Yeah, I updated and seems to be working, my bad, sorry
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sun May 22 04:05:44 2022 UTC